<?php

function get_atdpatient_last_id(PDO $DB)
{
  $date_new = date("Y-m-d");
  $trimdate = explode('-', $date_new);
  $p_year = $trimdate[0];
  $p_month   = $trimdate[1];
  $p_day  = $trimdate[2];

  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master ORDER BY tapm_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_new_id1 = $RowList['in_pid'];
    $patient_new_id = substr($patient_new_id1, 3);
    $o_year_month = substr($patient_new_id, 0, 6);
    $o_year = substr($o_year_month, 0, 4);
    $o_month = substr($o_year_month, -2);
    
    if($p_year.$p_month == $o_year.$o_month)
    {
      return  $patient_new_id+1;
    }else{
      return $p_year.$p_month."001";
    }

  }else {
    return $p_year.$p_month."001";
  }   
}

function get_user_type_details_from_department_id(PDO $DB,$Ut_id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."user_master WHERE dp_id = '$Ut_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
  
}

function get_doctor_details_from_department_id(PDO $DB,$dp_id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."user_master WHERE dp_id = '$dp_id' AND doctor_id = '1' AND um_del='0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
  
}

function get_last_pid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."patient_master  ORDER BY pm_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_general_ward_data(PDO $DB,$Ut_id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE twm_id = '$Ut_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
  
}

function get_all_patient_details(PDO $DB,$ward_id){
 $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE twm_id = '$ward_id' AND tapm_discharge=0";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetchAll();
}

function get_all_available_room_details(PDO $DB,$id){
 $sqlList= "SELECT * FROM ".DB_PREFIX."ward_room_management WHERE twm_id = '$id' And twrm_status='0' AND twrm_del='0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_patient_details(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_atd_basic_data(PDO $DB,$id){
   $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}


function get_inid_basic_data(PDO $DB,$id){
 $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE in_pid = '$id'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetch();
}

function get_inid_discharge_data(PDO $DB,$id,$pm_pid,$pm_id){
$sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE in_pid = '$id' AND pm_pid='$pm_pid' AND pm_id='$pm_id'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetch();
}

function get_occupied_room(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."ward_room_management WHERE twrm_status = '1'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->rowCount();  
} 

function get_occupied_room_from_hmid(PDO $DB,$hm_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."ward_room_management WHERE hm_id = '$hm_id' AND twrm_status = '1'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->rowCount();  
} 

function get_insuarnce_details_by_patient($DB,$pm_pid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."patient_insurance WHERE pm_pid = '$pm_pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch(); 
}

function get_single_patient_details_edit(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_row_data(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

// function get_insurance_patient_details($DB,$pm_pid){
//   $sqlList= "SELECT * FROM ".DB_PREFIX."patient_insurance WHERE pm_pid = '$pm_pid'";
//   $qryList= $DB->prepare($sqlList);
//   $qryList->execute();
//   return $qryList->fetch(); 
// }

?>
