<?php
function get_invoice_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` ORDER BY im_invoice_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_all_out_invoice(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` WHERE in_pid IS NULL AND im_status =0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_receipt_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` ORDER BY rm_receipt_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function autocomplete_get_invoice(PDO $DB,$term){
  $sqlList = "SELECT * FROM `".DB_PREFIX."invoice_master`  WHERE im_invoice_id like '%$term%' AND im_payment_status = 0 ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_total_of_invoice_receipt(PDO $DB,$invoice_id){
  $sqlList = "SELECT SUM(rm_given_amount) AS given_amt FROM `".DB_PREFIX."receipt_master` WHERE  im_invoice_id='$invoice_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll(); 
}

function get_all_out_receipt(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` WHERE in_pid IS  NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_advance_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` ORDER BY am_advance_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function autocomplete_get_invoice_pname(PDO $DB,$term){
  $sqlList = "SELECT * FROM `".DB_PREFIX."invoice_master`  WHERE im_invoice_id like '%$term%' AND im_payment_status = 0 ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_invoice_pid(PDO $DB,$pid){
  $sqlList = "SELECT * FROM `".DB_PREFIX."invoice_master`  WHERE im_pid like '%$pid%' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_out_advance($DB){
    $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` WHERE in_pid IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function autocomplete_get_atd(PDO $DB,$term){
  $sqlList= "SELECT * FROM `".DB_PREFIX."atd_patient_master` WHERE in_pid like '%$term%'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_credit_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` ORDER BY tbcm_invoice_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_credit_notes(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` WHERE in_pid IS NULL AND tbcm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_refund_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` ORDER BY tbrm_receipt_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_refund(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` WHERE in_pid IS  NULL AND tbrm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_estimate_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_estimate_master` ORDER BY tbem_invoice_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_estimate(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_estimate_master` WHERE in_pid IS NULL ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_retail_sale_master(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` ORDER BY tbrsm_invoice_id DESC LIMIT 1";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_retail_sale(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` WHERE in_pid IS NULL AND tbrsm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_amount_data_retail($DB,$pid){
  $sqlList= "SELECT  SUM(tbrsm_grand_total) AS retail_amt  FROM `".DB_PREFIX."bill_retail_sale_master` WHERE tbrsm_pid = '$pid' AND tbrsm_status IS NULL AND tbrsm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_amount_data_invoice($DB,$pid){
  $sqlList= "SELECT  SUM(im_grand_total) AS invoice_amt  FROM `".DB_PREFIX."invoice_master` WHERE im_pid = '$pid' AND im_status IS NULL AND im_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_receipt($DB,$pid){
  $sqlList= "SELECT  SUM(rm_given_amount) AS receipt_amt  FROM `".DB_PREFIX."receipt_master` WHERE rm_pid = '$pid' AND rm_status IS NULL AND rm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_advance($DB,$pid){
  $sqlList= "SELECT  SUM(am_advance_amount) AS advance_amt  FROM `".DB_PREFIX."advance_master` WHERE am_pid = '$pid' AND am_status IS NULL AND am_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_credit($DB,$pid){
  $sqlList= "SELECT  SUM(tbcm_grand_total) AS credit_amt  FROM `".DB_PREFIX."bill_credit_master` WHERE pid = '$pid' AND tbcm_status IS NULL AND tbcm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_refund($DB,$pid){
  $sqlList= "SELECT  SUM(tbrm_given_amount) AS refund_amt  FROM `".DB_PREFIX."bill_refund_master` WHERE tbrm_pid = '$pid' AND tbrm_status IS NULL AND tbrm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_retail_sale(pdo $DB,$pid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_retail_sale_master` WHERE tbrsm_pid = '$pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_retail_sale_id(pdo $DB,$pid,$uid1){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_retail_sale_master` WHERE tbrsm_pid = '$pid' AND tbrsm_id='$uid1'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_retail_service(pdo $DB,$retail_id){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_reatil_sale_service` WHERE im_invoice_id = '$retail_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_invoice(pdo $DB,$pid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."invoice_master` WHERE im_pid = '$pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_invoice_service(pdo $DB,$retail_id){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."invoice_service` WHERE im_invoice_id = '$retail_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_receipt(pdo $DB,$pid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."receipt_master` WHERE rm_pid = '$pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_advance(pdo $DB,$pid,$uid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."advance_master` WHERE am_pid = '$pid' AND am_id='$uid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_invoice_total_by_advance(pdo $DB,$pm_id){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."invoice_master` WHERE im_pid = '$pm_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_refund(pdo $DB,$pid,$uid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_refund_master` WHERE tbrm_pid = '$pid' AND tbrm_id='$uid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_credit(pdo $DB,$pid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_credit_master` WHERE pid = '$pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_credit_service(pdo $DB,$retail_id){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_credit_service` WHERE tbcs_invoice_id = '$retail_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_retail_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_retail_sale_master WHERE tbrsm_pid = '$PM_PId' AND tbrsm_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_retail_services_by_retail_id(pdo $DB,$retail_id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_reatil_sale_service WHERE im_invoice_id = '$retail_id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_service_id(pdo $DB,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_main_service WHERE tbms_id = '$id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_only_single_service_id(pdo $DB,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_main_service WHERE tbms_id = '$id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}



function get_single_invoice_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."invoice_master WHERE im_pid = '$PM_PId' AND im_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_invoice_by_retail_id(pdo $DB,$retail_id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."invoice_service WHERE im_invoice_id = '$retail_id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_invoices_by_id(pdo $DB,$retail_id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."invoice_service WHERE im_invoice_id = '$retail_id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_receipt_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."receipt_master WHERE rm_pid = '$PM_PId' AND rm_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_advance_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."advance_master WHERE am_pid = '$PM_PId' AND am_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_refund_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_refund_master WHERE tbrm_pid = '$PM_PId' AND tbrm_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_credit_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_credit_master WHERE pid = '$PM_PId' AND tbcm_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_credit_by_id(pdo $DB,$retail_id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_credit_service WHERE tbcs_invoice_id = '$retail_id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_credits_by_id(pdo $DB,$retail_id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_credit_service WHERE tbcs_invoice_id = '$retail_id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_credits_by_crid(pdo $DB,$pid){
   $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_credit_service` WHERE tbcs_invoice_id = '$pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_all_out_retail_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` WHERE tbrsm_pid = '$pid' AND tbrsm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_invoice_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` WHERE im_pid = '$pid' AND im_status =0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_receipt_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` WHERE rm_pid = '$pid' AND rm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_advance_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` WHERE am_pid = '$pid' AND am_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_credit_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` WHERE pid = '$pid' AND tbcm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_all_out_refund_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` WHERE tbrm_pid = '$pid' AND tbrm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_retail_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` WHERE tbrsm_pid = '$pid' AND tbrsm_invoice_date ='$from' AND  tbrsm_invoice_date ='$to' AND tbrsm_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_invoice_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` WHERE im_pid = '$pid' AND im_invoice_date ='$from' AND  im_invoice_date ='$to' AND im_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_advance_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` WHERE am_pid = '$pid' AND am_date ='$from' AND  am_date ='$to' AND am_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_refund_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` WHERE tbrm_pid = '$pid' AND tbrm_date ='$from' AND  tbrm_date ='$to' AND tbrm_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_receipt_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` WHERE rm_pid = '$pid' AND rm_date ='$from' AND  rm_date ='$to' AND rm_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_out_credit_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` WHERE pid = '$pid' AND tbcm_date ='$from' AND  tbcm_date ='$to' AND tbcm_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_estimate(pdo $DB,$pid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_estimate_master` WHERE tbem_pid = '$pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_estimate_id(pdo $DB,$pid,$uid1){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_estimate_master` WHERE tbem_pid = '$pid' AND tbem_id ='$uid1'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_estimate_service(pdo $DB,$retail_id){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."bill_estimate_service` WHERE im_invoice_id = '$retail_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_estimate_by_retail_id(pdo $DB,$retail_id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_estimate_service WHERE im_invoice_id = '$retail_id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_estimate_detials(PDO $DB,$PM_PId,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."bill_estimate_master WHERE tbem_pid = '$PM_PId' AND tbem_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

/* =========================================================== inpatient biling ============================================================================= */
function get_admitted_patient_data(PDO $DB){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_discharge !='1' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchALL();
}

function get_discharged_patient_data(PDO $DB){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_discharge ='1' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchALL();
}

function get_atd_patient_from_fname(PDO $DB,$Term)
{
 // $sqlList= "SELECT * FROM ".DB_PREFIX."patient_master WHERE pm_first_name LIKE '%$Term%' AND pm_del = 0";
  $sqlList = "SELECT apm.pm_pid,apm.in_pid,pm.pm_pid,pm.pm_id,pm.pm_salutation,pm.pm_first_name,pm.pm_middle_name,pm.pm_last_name,pm.pm_contact_no,pm.pm_address FROM ".DB_PREFIX."atd_patient_master AS apm LEFT JOIN ".DB_PREFIX."patient_master AS pm ON apm.pm_pid = pm.pm_pid";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_all_ipd_estimate(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_estimate_master` WHERE in_pid IS NOT NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_retail_sale(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` WHERE in_pid IS NOT NULL  AND tbrsm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_invoice(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` WHERE in_pid IS NOT NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_invoice_ipd(pdo $DB,$pid,$uid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."invoice_master` WHERE im_pid = '$pid' AND im_id='$uid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function autocomplete_get_ipd_invoice(PDO $DB,$term){
  $sqlList = "SELECT * FROM `".DB_PREFIX."invoice_master`  WHERE im_invoice_id like '%$term%' AND in_pid IS NOT NULL AND im_payment_status = 0 ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_ipd_receipt(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` WHERE in_pid IS NOT NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_ipd_receipt(pdo $DB,$pid,$uid){
  $sqlList= "SELECT  *  FROM `".DB_PREFIX."receipt_master` WHERE rm_pid = '$pid' AND rm_id='$uid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_all_ipd_advance($DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` WHERE in_pid IS NOT NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_credit_notes(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` WHERE in_pid IS NOT NULL AND tbcm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_refund(PDO $DB){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` WHERE in_pid IS NOT NULL AND tbrm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_patient_details_from_atd_id(PDO $DB,$pm_id){
  $sqlList= "SELECT * FROM `".DB_PREFIX."atd_patient_master` WHERE pm_pid ='$pm_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_retail_ipd(PDO $DB,$pid){
  $sqlList= "SELECT  SUM(tbrsm_grand_total) AS retail_amt  FROM `".DB_PREFIX."bill_retail_sale_master` WHERE in_pid = '$pid' AND tbrsm_status IS NULL AND tbrsm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_invoice_ipd(PDO $DB,$pid){
  $sqlList= "SELECT  SUM(im_grand_total) AS invoice_amt  FROM `".DB_PREFIX."invoice_master` WHERE in_pid = '$pid' AND im_status IS NULL AND im_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_receipt_ipd(PDO $DB,$pid){
  $sqlList= "SELECT  SUM(rm_given_amount) AS receipt_amt  FROM `".DB_PREFIX."receipt_master` WHERE in_pid = '$pid' AND rm_status IS NULL AND rm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_advance_ipd(PDO $DB,$pid){
  $sqlList= "SELECT  SUM(am_advance_amount) AS advance_amt  FROM `".DB_PREFIX."advance_master` WHERE in_pid = '$pid' AND am_status IS NULL AND am_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_credit_ipd(PDO $DB,$pid){
  $sqlList= "SELECT  SUM(tbcm_grand_total) AS credit_amt  FROM `".DB_PREFIX."bill_credit_master` WHERE in_pid = '$pid' AND tbcm_status  IS NULL AND tbcm_parent IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_amount_data_refund_ipd(PDO$DB,$pid){
  $sqlList= "SELECT  SUM(tbrm_given_amount) AS refund_amt  FROM `".DB_PREFIX."bill_refund_master` WHERE in_pid = '$pid' AND tbrm_status  IS NULL AND tbrm_parent  IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_all_ipd_retail_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` WHERE in_pid = '$pid' AND tbrsm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_invoice_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` WHERE in_pid = '$pid' AND im_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_receipt_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` WHERE in_pid = '$pid' AND rm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_advance_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` WHERE in_pid = '$pid' AND am_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_credit_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` WHERE in_pid = '$pid' AND tbcm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_all_ipd_refund_sale_by_single_id(PDO $DB,$pid){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` WHERE in_pid = '$pid' AND tbrm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_all_ipd_retail_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_retail_sale_master` WHERE in_pid = '$pid' AND tbrsm_invoice_date ='$from' AND  tbrsm_invoice_date ='$to' AND tbrsm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_invoice_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."invoice_master` WHERE in_pid = '$pid' AND im_invoice_date ='$from' AND  im_invoice_date ='$to' AND im_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_advance_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."advance_master` WHERE in_pid = '$pid' AND am_date ='$from' AND  am_date ='$to' AND am_status=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_refund_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_refund_master` WHERE in_pid = '$pid' AND tbrm_date ='$from' AND  tbrm_date ='$to' AND tbrm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_receipt_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."receipt_master` WHERE in_pid = '$pid' AND rm_date ='$from' AND  rm_date ='$to' AND rm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_ipd_credit_sale_by_single_id_by_date(PDO $DB,$pid,$from,$to){
  $sqlList= "SELECT * FROM `".DB_PREFIX."bill_credit_master` WHERE in_pid = '$pid' AND tbcm_date ='$from' AND  tbcm_date ='$to' AND tbcm_status IS NULL";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_atd_patient_from_in_pid(PDO $DB,$Term)
{
 // $sqlList= "SELECT * FROM ".DB_PREFIX."patient_master WHERE pm_first_name LIKE '%$Term%' AND pm_del = 0";
  $sqlList = "SELECT apm.pm_pid,apm.in_pid,pm.pm_pid,pm.pm_id,pm.pm_salutation,pm.pm_first_name,pm.pm_middle_name,pm.pm_last_name,pm.pm_contact_no,pm.pm_address FROM ".DB_PREFIX."atd_patient_master AS apm LEFT JOIN ".DB_PREFIX."patient_master AS pm ON apm.pm_pid = pm.pm_pid";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
?>