<?php

function get_supplier_id(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_all_purchase_invoice_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice WHERE pharma_id = '$PharmaId' AND tppi_del = '0' ORDER BY tppi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_supplier_from_supid(PDO $DB,$ts_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_id = '$ts_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();

}

function get_supplier_lastid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier ORDER BY  ts_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_supplier_data(pdo $DB,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE pharma_id = '$Pharma_Id' AND ts_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_medicine_data(pdo $DB,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE pharma_id = '$Pharma_Id' AND tpm_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

/*4/6/2018 sunita */
function get_purchase_id(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_medicine_data_from_name(pdo $DB,$Name,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE pharma_id = '$Pharma_Id' AND tpm_name LIKE '%$Name%' AND tpm_del=0";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_lastid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order ORDER BY  tppo_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_supplierid(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_supp_id LIKE '%$term%' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_medicine(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_name LIKE '%$term%' AND tpm_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_purchase_invoice_last_id(PDO $DB)
{
  $date_new = date("Y-m-d");
  $trimdate = explode('-', $date_new);
  $p_year = $trimdate[0];
  $p_month   = $trimdate[1];
  $p_day  = $trimdate[2];

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice ORDER BY tppi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_new_id = $RowList['tppi_pid'];
    $o_year_month = substr($patient_new_id, 0, 6);
    $o_year = substr($o_year_month, 0, 4);
    $o_month = substr($o_year_month, -2);
    if($p_year.$p_month == $o_year.$o_month)
    {
      return  $patient_new_id+1;
    }else{
      return $p_year.$p_month."001";
    }

  }  
  else {
    return $p_year.$p_month."001";
  }
}

function get_all_purchase_order_from_pharmaid(PDO $DB,$PharmaId)
{
  $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE pharma_id = '$PharmaId' AND tppo_del = '0' ORDER BY tppo_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_supplier_order_from_supid(PDO $DB,$ts_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_id = '$ts_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}


function check_insert_batch_from_medicine(PDO $DB,$term,$tpm_id,$HosId,$PharmaId,$created_by,$exp_date,$mrp_cost,$single_unit_cost){

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE hos_id = '$HosId' AND pharma_id = '$PharmaId' AND tpm_id = '$tpm_id' AND tpmb_name = '$term' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();

  if($RowList != "")
  {
    return $RowList['tpmb_id'];
  }

  else{


      $sql = "INSERT INTO ".DB_PREFIX."pha_medicine_batch(`hos_id`,`pharma_id`, `tpm_id`, `tpmb_name`,`tpmb_exp_date`,`tpmb_mrp_cost`,`tpmb_single_unit_cost`,`tpmb_created_by`) VALUES (:hos_id,:pharma_id,:tpm_id,:tpmb_name,:tpmb_exp_date,:tpmb_mrp_cost,:tpmb_single_unit_cost,:tpmb_created_by)"; 

            $statement = $DB->prepare($sql);
            $statement->bindValue(":hos_id", $HosId);
            $statement->bindValue(":pharma_id", $PharmaId);
            $statement->bindValue(":tpm_id", $tpm_id);
            $statement->bindValue(":tpmb_name", $term);
            $statement->bindValue(":tpmb_exp_date", $exp_date);

            $statement->bindValue(":tpmb_mrp_cost", $mrp_cost);
            $statement->bindValue(":tpmb_single_unit_cost", $single_unit_cost);

            $statement->bindValue(":tpmb_created_by", $created_by);
            $res = $statement->execute();
            
            return $DB->lastInsertId();

  }  
}

function get_supplier_from_name(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_name LIKE '%$term%' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_return_supplierid(PDO $DB,$term){
  $sqlList = "SELECT ts.ts_id,ts.ts_name,ts.ts_gst_no,ts.ts_address,ts.ts_phone_no,tppo.po_id,tppo.tppo_id FROM ".DB_PREFIX."pha_purchase_order As tppo LEFT JOIN ".DB_PREFIX."supplier AS ts ON tppo.ts_id = ts.ts_id WHERE tppo.ts_id";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_order_from_poid(PDO $DB,$term,$ts_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE po_id LIKE '%$term%' AND ts_id = '$ts_id' AND tppo_status != '2' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_qty_supplier_wise($DB,$tppo_id){
  $sqlList = "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppo_id='$tppo_id'";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_order_template_details(PDO $DB,$poId){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE po_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_purchase_order_qty_template_details(PDO $DB,$poId){
   $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppo_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


/* 8/6/2018 */
function get_sales_id(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_sales_lastid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice ORDER BY  tpsi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_medicine_data_from_id(pdo $DB,$Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_id LIKE '$Id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}



function get_purchase_order_qty_detials_from_id(PDO $DB,$tppoq_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppoq_id = '$tppoq_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function check_order_qty_from_purchase_invoice(PDO $DB,$tppo_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppo_id = '$tppo_id' AND tppoq_status = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->rowCount();
}

function update_batch_qty_from_purchase_invoice(PDO $DB,$tpmb_id,$tppiq_qty){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();
  $tpmb_qty = $RowList['tpmb_qty'];

  $NewQty = $tpmb_qty + $tppiq_qty;

  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine_batch SET tpmb_qty =:tpmb_qty WHERE tpmb_id = '$tpmb_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpmb_qty", $NewQty);
  $res3 = $statement41->execute();

}
function check_purchase_order_status($tppo_status)
{
  if($tppo_status == 0)
  {
    return "Open";
  }
  else if($tppo_status == 1)
  {
    return "Pendding";
  }
  else if($tppo_status == 2)
  {
    return "Close";
  }
  else {
    return "Force Close";
  }   
}



function get_batch_data_from_name(PDO $DB,$term,$tpm_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_name LIKE '%$term%' AND tpm_id = '$tpm_id' AND tpmb_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

//
function get_medicine_id_batch_wise($DB,$mid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpm_id = '$mid'";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function update_medicine_qty_from_purchase_invoice(PDO $DB,$tpm_id){
  
  $sqlNumeView= "SELECT SUM(tpmb_qty) AS totalqty FROM ".DB_PREFIX."pha_medicine_batch WHERE tpm_id = '$tpm_id'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $RowAlbumqty = $qryListNumeView->fetch();
  $Totalqty = $RowAlbumqty['totalqty'];

  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine SET tpm_qty =:tpm_qty WHERE tpm_id = '$tpm_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpm_qty", $Totalqty);
  $res3 = $statement41->execute();


}

function get_single_purchase_invoice_from_purchase_id(PDO $DB,$tppi_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice WHERE tppi_id = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_purchase_order_details(PDO $DB,$poId){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE tppo_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_all_purchase_invoice_qty_from_invoice_id(PDO $DB,$tppi_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppi_id = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_batch_details_from_batchid(PDO $DB,$tpmb_id){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();

} 

function check_medicine_qty_from_medi_id(PDO $DB,$tpm_id){
  
  $sqlNumeView= "SELECT SUM(tpmb_qty) AS totalqty FROM ".DB_PREFIX."pha_medicine_batch WHERE tpm_id = '$tpm_id'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $RowAlbumqty = $qryListNumeView->fetch();

  if(!empty($RowAlbumqty['totalqty']))
  {
    return $RowAlbumqty['totalqty'];  
  }  
  else {
    return 0;
  }
  
}

function get_available_medicine_data_from_name(pdo $DB,$Name,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE pharma_id = '$Pharma_Id' AND tpm_name LIKE '%$Name%' AND tpm_qty > '0' AND tpm_del=0";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_medicine_id_batch_wise($DB,$mid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$mid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}


/* 9/6/2018 */
function get_sale_invoice_last_id(PDO $DB)
{
  $date_new = date("Y-m-d");
  $trimdate = explode('-', $date_new);
  $p_year = $trimdate[0];
  $p_month   = $trimdate[1];
  $p_day  = $trimdate[2];

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice ORDER BY tpsi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_new_id = $RowList['tpsi_pid'];
    $o_year_month = substr($patient_new_id, 0, 6);
    $o_year = substr($o_year_month, 0, 4);
    $o_month = substr($o_year_month, -2);
    if($p_year.$p_month == $o_year.$o_month)
    {
      return  $patient_new_id+1;
    }else{
      return $p_year.$p_month."001";
    }

  }  
  else {
    return $p_year.$p_month."001";
  }
}

function get_all_sale_invoice_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE pharma_id = '$PharmaId' AND tpsi_del = '0' ORDER BY tpsi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_sale_from_id(PDO $DB,$ts_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsi_id = '$ts_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();

}

function get_all_sale_ipd_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE pharma_id = '$PharmaId' AND in_pid != '' AND tpsi_del = '0' ORDER BY tpsi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}


// 30/6/2018 
function get_single_sale_invoice_from_sale_id(PDO $DB,$tppi_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE tpsi_id = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_all_sale_invoice_qty_from_invoice_id(PDO $DB,$tppi_id)
{
  $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsi_id = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_medicine_name_by_id(pdo $DB,$id){
  $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_medicine_batch_name_by_id(pdo $DB,$id){
  $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch  WHERE tpmb_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}


function get_group_data_from_name(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_group WHERE tpmg_name LIKE '%$term%' AND tpmg_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_generic_data_from_name(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_generic WHERE tpmgn_name LIKE '%$term%' AND tpmgn_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_company_data_from_name(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE tpmc_name LIKE '%$term%' AND tpmc_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function check_insert_group_from_medicine(PDO $DB,$term,$HosId,$PharmaId,$created_by){

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_group WHERE hos_id = '$HosId' AND pharma_id = '$PharmaId' AND tpmg_name = '$term' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();

  if($RowList != "")
  {
    return $RowList['tpmb_id'];
  }

  else{


      $sql = "INSERT INTO ".DB_PREFIX."pha_medicine_group(`hos_id`,`pharma_id`, `tpmg_name`,`tpmg_created_by`) VALUES (:hos_id,:pharma_id,:tpmg_name,:tpmg_created_by)"; 

            $statement = $DB->prepare($sql);
            $statement->bindValue(":hos_id", $HosId);
            $statement->bindValue(":pharma_id", $PharmaId);
            $statement->bindValue(":tpmg_name", $term);
            $statement->bindValue(":tpmg_created_by", $created_by);
            $res = $statement->execute();
            
            return $DB->lastInsertId();

  }  
}

function check_insert_generic_from_medicine(PDO $DB,$term,$HosId,$PharmaId,$created_by){

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_generic WHERE hos_id = '$HosId' AND pharma_id = '$PharmaId' AND tpmgn_name = '$term' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();

  if($RowList != "")
  {
    return $RowList['tpmgn_id'];
  }

  else{


      $sql = "INSERT INTO ".DB_PREFIX."pha_medicine_generic(`hos_id`,`pharma_id`, `tpmgn_name`,`tpmgn_created_by`) VALUES (:hos_id,:pharma_id,:tpmgn_name,:tpmgn_created_by)"; 

            $statement = $DB->prepare($sql);
            $statement->bindValue(":hos_id", $HosId);
            $statement->bindValue(":pharma_id", $PharmaId);
            $statement->bindValue(":tpmgn_name", $term);
            $statement->bindValue(":tpmgn_created_by", $created_by);
            $res = $statement->execute();
            
            return $DB->lastInsertId();

  }  
}

function check_insert_company_from_medicine(PDO $DB,$term,$HosId,$PharmaId,$created_by){

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE hos_id = '$HosId' AND pharma_id = '$PharmaId' AND tpmc_name = '$term' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();

  if($RowList != "")
  {
    return $RowList['tpmc_id'];
  }

  else{


      $sql = "INSERT INTO ".DB_PREFIX."pha_medicine_company(`hos_id`,`pharma_id`, `tpmc_name`,`tpmc_created_by`) VALUES (:hos_id,:pharma_id,:tpmc_name,:tpmc_created_by)"; 

            $statement = $DB->prepare($sql);
            $statement->bindValue(":hos_id", $HosId);
            $statement->bindValue(":pharma_id", $PharmaId);
            $statement->bindValue(":tpmc_name", $term);
            $statement->bindValue(":tpmc_created_by", $created_by);
            $res = $statement->execute();
            
            return $DB->lastInsertId();

  }  
}

function get_single_group_data_from_name(PDO $DB,$tpmg_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_group WHERE tpmg_id = '$tpmg_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_generic_data_from_name(PDO $DB,$tpmgn_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_generic WHERE tpmgn_id = '$tpmgn_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_single_company_data_from_name(PDO $DB,$tpmc_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE tpmc_id = '$tpmc_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function update_old_batch_qty_from_purchase_invoice(PDO $DB,$tpmb_id,$tppiq_qty){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();
  $tpmb_qty = $RowList['tpmb_qty'];

  $NewQty = $tpmb_qty - $tppiq_qty;

  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine_batch SET tpmb_qty =:tpmb_qty WHERE tpmb_id = '$tpmb_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpmb_qty", $NewQty);
  $res3 = $statement41->execute();

}

function delete_invoice_qty_tppiq_id(PDO $DB,$tppiq_id)
{
  $sql_Delete = "DELETE FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppiq_id = '$tppiq_id'";
  $statement_Delete = $DB->prepare($sql_Delete);
  $count = $statement_Delete->execute();

}


function get_all_pha_expire_ageing_medicine(PDO $DB,$Today,$ExpDate,$Pharma_Id){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_exp_date BETWEEN '$Today' AND '$ExpDate' AND pharma_id = '$Pharma_Id' AND tpmb_qty > 0 ORDER BY tpmb_exp_date DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_all_pha_expired_medicine(PDO $DB,$Today,$Pharma_Id){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_exp_date < '$Today' AND tpmb_qty > 0 AND pharma_id = '$Pharma_Id' ORDER BY tpmb_exp_date DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_all_pha_lowstock_medicine(PDO $DB,$Today,$Pharma_Id){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE pharma_id = '$Pharma_Id' AND tpm_qty < tpm_reorder_reminder ORDER BY tpm_qty DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function delete_invoice_qty_from_tppi_id(PDO $DB,$tppi_id)
{
  $sql_Delete = "DELETE FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppi_id = '$tppi_id'";
  $statement_Delete = $DB->prepare($sql_Delete);
  $count = $statement_Delete->execute();

}

function get_single_invoice_qty_from_id(PDO $DB,$tppiq_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppiq_id = '$tppiq_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function delete_purchase_invoice_from_invvoice_id(PDO $DB,$tppi_id,$created_by){
  
  $QryOEdit = "UPDATE ".DB_PREFIX."pha_purchase_invoice SET tppi_del =:tppi_del, tppi_delete_by = :tppi_delete_by WHERE tppi_id = '$tppi_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tppi_del", '1');
  $statement41->bindValue(":tppi_delete_by", $created_by);
  $res3 = $statement41->execute();

}


/* Sohil  */

//

function get_single_pha_medicine(PDO $DB,$tpm_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_id = '$tpm_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_group_data(pdo $DB,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_group WHERE pharma_id = $Pharma_Id AND tpmg_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function check_group_name(PDO $DB,$group_name,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_group WHERE pharma_id = $Pharma_Id AND tpmg_name ='$group_name' AND tpmg_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}


function get_generic_data(pdo $DB,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_generic WHERE pharma_id = $Pharma_Id AND tpmgn_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function check_generic_name(PDO $DB,$generic_name,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_generic WHERE pharma_id = $Pharma_Id AND tpmgn_name ='$generic_name' AND tpmgn_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_company_data(pdo $DB,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE pharma_id = $Pharma_Id AND tpmc_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function check_company_name(PDO $DB,$company_name,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE pharma_id = $Pharma_Id AND tpmc_name ='$company_name' AND tpmc_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}


// 2/7/2018  Sunita Start
function get_single_opd_sale_invoice_id(pdo $DB,$id,$sid){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice  WHERE tpsi_id = '$id' AND tpsi_pid='$sid'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_sale_invoice_data(PDO $DB,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty  WHERE tpsi_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

// 3/7/2018 Sunita Start
function get_sale_id(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE pharma_id = '$Pharma_Id' AND tpsi_pid LIKE '%$term%' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_sale_invoice_template_details(PDO $DB,$poId){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE tpsi_pid = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_sale_invoice_qty_template_details(PDO $DB,$poId){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsi_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_sale_return_last_id(PDO $DB){
  $date_new = date("Y-m-d");
  $trimdate = explode('-', $date_new);
  $p_year = $trimdate[0];
  $p_month   = $trimdate[1];
  $p_day  = $trimdate[2];

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_return ORDER BY tpsr_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_new_id = $RowList['tpsr_main_id'];
    $o_year_month = substr($patient_new_id, 0, 6);
    $o_year = substr($o_year_month, 0, 4);
    $o_month = substr($o_year_month, -2);
    if($p_year.$p_month == $o_year.$o_month)
    {
      return  $patient_new_id+1;
    }else{
      return $p_year.$p_month."001";
    }

  }  
  else {
    return $p_year.$p_month."001";
  }
}

/* 4/7/2018 */
function get_all_sale_return_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return WHERE pharma_id = '$PharmaId' AND tpsr_del = '0' ORDER BY tpsr_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_sale_return_id(pdo $DB,$id,$sid){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return  WHERE tpsr_id = '$id' AND pm_pid='$sid'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_sale_return_data(PDO $DB,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return_qty  WHERE tpsr_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_sale_return_mainid(pdo $DB,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return  WHERE tpsr_id = '$id' ";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

// 5/7/2018
function get_supplier_account_data(PDO $DB,$supp_id){
   $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier_account  WHERE ts_supp_id = '$supp_id' ";
   $qryListType = $DB->prepare($sqlListType);
   $qryListType->execute();
   return $qryListType->fetchAll();
}

function get_purchase_amt_by_ac_by_id(PDO $DB,$supp_id){
   $sqlListType= "SELECT SUM(tppi_grand_total) AS amt FROM ".DB_PREFIX."pha_purchase_invoice  WHERE ts_id = '$supp_id' ";
   $qryListType = $DB->prepare($sqlListType);
   $qryListType->execute();
   return $qryListType->fetch();
}

function get_supplier_single_account_data(PDO $DB,$supp_id){
   $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier  WHERE ts_id = '$supp_id' ";
   $qryListType = $DB->prepare($sqlListType);
   $qryListType->execute();
   return $qryListType->fetch();
}

function get_all_purchase_invoice_from_suppid(PDO $DB,$s_id){
  $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice  WHERE ts_id = '$s_id' ";
  $qryListType = $DB->prepare($sqlListType);
  $qryListType->execute();
  return $qryListType->fetchAll();
}

function get_all_payment_from_suppid(PDO $DB,$s_id){
  $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier_account  WHERE ts_supp_id = '$s_id' AND  tsa_del IS NULL";
  $qryListType = $DB->prepare($sqlListType);
  $qryListType->execute();
  return $qryListType->fetchAll();
}

function get_payment_single_data($DB,$supp_id){
  $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier_account WHERE tsa_id = '$supp_id' ";
  $qryListType = $DB->prepare($sqlListType);
  $qryListType->execute();
  return $qryListType->fetch();
}

function get_single_purchase_invoice_id(PDO $DB,$tppi_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice WHERE tppi_pid = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_payment_by_id($DB,$supp_id){
   $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier_account WHERE ts_supp_id = '$supp_id' AND tsa_delete_by = '0'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

/* 06/07/2018 Mayank start heare */
function get_all_pha_purchase_medicine(PDO $DB,$hos_id,$pharma_id){
  
   //$sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' ORDER BY tppiq_id DESC";
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty join tbl_pha_purchase_invoice on  tbl_pha_purchase_invoice_qty.tppi_id=tbl_pha_purchase_invoice.tppi_id WHERE tppiq_delete_by = '0' AND tbl_pha_purchase_invoice_qty.hos_id='$hos_id' AND tbl_pha_purchase_invoice_qty.pharma_id='$pharma_id' ORDER BY tppiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_all_pha_sales_medicine(PDO $DB,$hos_id,$pharma_id){
  
  //$sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' ORDER BY tpsiq_id DESC";
   $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty join tbl_pha_sales_invoice on tbl_pha_sales_invoice_qty.tpsi_id=tbl_pha_sales_invoice.tpsi_id WHERE tpsiq_delete_by = '0' AND tbl_pha_sales_invoice_qty.hos_id='$hos_id' AND tbl_pha_sales_invoice_qty.pharma_id='$pharma_id' ORDER BY tpsiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_total_purchase_medicine_qty(pdo $DB,$hos_id,$pharma_id){
    $sqlList= "SELECT sum(tppiq_qty) as tpmq FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' ORDER BY tppiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_total_purchase_medicine_amt(pdo $DB,$hos_id,$pharma_id){
  $sqlList= "SELECT sum(tppiq_total) as tpma FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' ORDER BY tppiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_total_sales_medicine_qty(pdo $DB,$hos_id,$pharma_id){
 $sqlList= "SELECT sum(tpsiq_qty) as totalsalesqty FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' ORDER BY tpsiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_total_sales_medicine_amt(pdo $DB,$hos_id,$pharma_id){
   $sqlList= "SELECT sum(tpsiq_total) as totalsalesamt FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' ORDER BY tpsiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_all_pha_purchase_medicine_filter(PDO $DB,$hos_id,$pharma_id,$searchqry){
  
   //$sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' $searchqry ORDER BY tppiq_id DESC";
   $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty join tbl_pha_purchase_invoice on  tbl_pha_purchase_invoice_qty.tppi_id=tbl_pha_purchase_invoice.tppi_id WHERE tppiq_delete_by = '0' AND tbl_pha_purchase_invoice_qty.hos_id='$hos_id' AND tbl_pha_purchase_invoice_qty.pharma_id='$pharma_id' $searchqry ORDER BY tppiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_total_purchase_medicine_qty_filter(pdo $DB,$hos_id,$pharma_id,$searchqry){
    $sqlList= "SELECT sum(tppiq_qty) as tpmq FROM ".DB_PREFIX."pha_purchase_invoice_qty join tbl_pha_purchase_invoice on  tbl_pha_purchase_invoice_qty.tppi_id=tbl_pha_purchase_invoice.tppi_id WHERE tppiq_delete_by = '0' AND tbl_pha_purchase_invoice_qty.hos_id='$hos_id' AND tbl_pha_purchase_invoice_qty.pharma_id='$pharma_id' $searchqry ORDER BY tppiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_total_purchase_medicine_amt_filter(pdo $DB,$hos_id,$pharma_id,$searchqry){
  $sqlList= "SELECT sum(tppiq_total) as tpma FROM ".DB_PREFIX."pha_purchase_invoice_qty join tbl_pha_purchase_invoice on  tbl_pha_purchase_invoice_qty.tppi_id=tbl_pha_purchase_invoice.tppi_id WHERE tppiq_delete_by = '0' AND tbl_pha_purchase_invoice_qty.hos_id='$hos_id' AND tbl_pha_purchase_invoice_qty.pharma_id='$pharma_id' $searchqry ORDER BY tppiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_group_data_from_name_filter(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE tpmc_name LIKE '%$term%' AND tpmc_delete_by = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_all_sale_invoice_report_opd(PDO $DB,$hos_id,$PharmaId)
{
 $today=date("Y-d-m");
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE hos_id='$hos_id' AND pharma_id = '$PharmaId' AND patient_type='OPD' AND tpsi_del = '0' AND tpsi_date='$today' ORDER BY tpsi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}
function get_total_opd_bill_amt(pdo $DB,$hos_id,$pharma_id){
  $sqlList= "SELECT sum(tpsi_main_total) as total_opd_bill_amt FROM ".DB_PREFIX."pha_sales_invoice WHERE tpsi_del = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' AND patient_type='OPD' ORDER BY tpsi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_all_sale_invoice_report_ipd(PDO $DB,$hos_id,$PharmaId)
{
 $today=date("Y-d-m");
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE hos_id='$hos_id' AND pharma_id = '$PharmaId' AND patient_type='IPD' AND tpsi_del = '0' AND tpsi_date='$today' ORDER BY tpsi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}
function get_total_ipd_bill_amt(pdo $DB,$hos_id,$pharma_id){
  $sqlList= "SELECT sum(tpsi_main_total) as total_ipd_bill_amt FROM ".DB_PREFIX."pha_sales_invoice WHERE tpsi_del = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' AND patient_type='IPD' ORDER BY tpsi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_all_pha_sales_medicine_filter(PDO $DB,$hos_id,$pharma_id,$searchqry){
  
  // $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsiq_delete_by = '0' AND hos_id='$hos_id' AND pharma_id='$pharma_id' $searchqry ORDER BY tpsiq_id DESC";
 $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty join tbl_pha_sales_invoice on tbl_pha_sales_invoice_qty.tpsi_id=tbl_pha_sales_invoice.tpsi_id WHERE tpsiq_delete_by = '0' AND tbl_pha_sales_invoice_qty.hos_id='$hos_id' AND tbl_pha_sales_invoice_qty.pharma_id='$pharma_id' $searchqry ORDER BY tpsiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_total_sales_medicine_qty_filter(pdo $DB,$hos_id,$pharma_id,$searchqry){
  $sqlList= "SELECT sum(tpsiq_qty) as totalsalesqty FROM ".DB_PREFIX."pha_sales_invoice_qty join tbl_pha_sales_invoice on tbl_pha_sales_invoice_qty.tpsi_id=tbl_pha_sales_invoice.tpsi_id WHERE tpsiq_delete_by = '0' AND tbl_pha_sales_invoice_qty.hos_id='$hos_id' AND tbl_pha_sales_invoice_qty.pharma_id='$pharma_id' $searchqry ORDER BY tpsiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
function get_total_sales_medicine_amt_filter(pdo $DB,$hos_id,$pharma_id,$searchqry){
   $sqlList= "SELECT sum(tpsiq_total) as totalsalesamt FROM ".DB_PREFIX."pha_sales_invoice_qty join tbl_pha_sales_invoice on tbl_pha_sales_invoice_qty.tpsi_id=tbl_pha_sales_invoice.tpsi_id WHERE tpsiq_delete_by = '0' AND tbl_pha_sales_invoice_qty.hos_id='$hos_id' AND tbl_pha_sales_invoice_qty.pharma_id='$pharma_id' $searchqry ORDER BY tpsiq_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
/* 06/07/2018 Mayank end heare */

function get_all_purchase_invoice_qty_from_medicine_id(PDO $DB,$tpm_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tpm_id = '$tpm_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_all_sale_invoice_qty_from_medicine_id(PDO $DB,$tpm_id)
{
$sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpm_id = '$tpm_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_all_purchase_single_invoice_qty_from_batch_id(PDO $DB,$tpmb_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tpmb_id = '$tpmb_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_all_purchase_invoice_qty_from_batch_id(PDO $DB,$tpmb_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tpmb_id = '$tpmb_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_all_sale_invoice_qty_from_batch_id(PDO $DB,$batch_id)
{
$sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpmb_id = '$batch_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_all_sale_return_invoice_qty_from_batch_id(PDO $DB,$batch_id)
{
$sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return_qty WHERE tpmb_id = '$batch_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_all_sale_return_invoice_qty_from_medicine_id(PDO $DB,$medicine_id)
{
$sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return_qty WHERE tpm_id = '$medicine_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_sale_return_invoice_from_sale_id(PDO $DB,$tpsr_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return WHERE tpsr_id = '$tpsr_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function update_batch_qty_from_stock_loss(PDO $DB,$tpmb_id,$qty_less){

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();
  $tpmb_qty = $RowList['tpmb_qty'];

  $NewQty = $tpmb_qty - $qty_less;
  
  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine_batch SET tpmb_qty =:tpmb_qty WHERE tpmb_id = '$tpmb_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpmb_qty", $NewQty);
  $res3 = $statement41->execute();

}

function update_medicine_qty_from_stock_loss(PDO $DB,$tpm_id,$qty_less){
  
  $sqlNumeView= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_id = '$tpm_id'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $RowAlbumqty = $qryListNumeView->fetch();
  $tpm_qty = $RowAlbumqty['tpm_qty'];

  $total_qty = $tpm_qty - $qty_less;

  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine SET tpm_qty =:tpm_qty WHERE tpm_id = '$tpm_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpm_qty", $total_qty);
  $res3 = $statement41->execute();


}

function get_stock_loss(pdo $DB,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_phy_stock_varify_qty WHERE pharma_id = '$Pharma_Id' ORDER BY tppsvq_id DESC"; 
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_date_from_purchase_invoice_qty(PDO $DB,$tpm_id,$tpmb_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tpm_id = '$tpm_id' AND tpmb_id='$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

// 10/7/2018 sohil
function get_all_stock_loss_from_batch_id(PDO $DB,$tpm_id,$batch_id)
{
$sqlListType= "SELECT * FROM ".DB_PREFIX."pha_phy_stock_varify_qty WHERE tpm_id='$tpm_id' AND tpmb_id = '$batch_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_stock_loss_by_medicine_id(pdo $DB,$medicine_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_phy_stock_varify_qty WHERE tpm_id='$medicine_id' ORDER BY tppsvq_id DESC"; 
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}




function get_pharmacy_group_data_from_name(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_group WHERE pharma_id = '$Pharma_Id' AND tpmg_name LIKE '%$term%' AND tpmg_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_pharmacy_generic_data_from_name(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_generic WHERE pharma_id = '$Pharma_Id' AND tpmgn_name LIKE '%$term%' AND tpmgn_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_pharmacy_company_data_from_name(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_company WHERE pharma_id = '$Pharma_Id' AND tpmc_name LIKE '%$term%' AND tpmc_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_pharmacy_supplier_from_name(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE pharma_id = '$Pharma_Id' AND ts_name LIKE '%$term%' AND ts_del = '0' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_pharmacy_supplierid(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE pharma_id = '$Pharma_Id' AND ts_supp_id LIKE '%$term%' AND ts_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_sale_return_invoice_data(PDO $DB,$id){
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_return_qty  WHERE tpsr_id = '$id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_pharmacy_supplier_from_name_new(PDO $DB,$term,$Pharma_Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE pharma_id = '$Pharma_Id' AND ts_name LIKE '$term%' AND ts_del = '0' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

?>