
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}

$rm_id = $Results_Patient['rm_id'];
$other_ref = $Results_Patient['other_ref'];

if(isset($rm_id) && !empty($rm_id))
{ 

  if($Results_Patient['other_ref'] == 1)
  {
    
    $ROWPD = get_single_patient_details_from_primary_id($DB,$rm_id);
    $dr_reference_name = $ROWPD['pm_salutation']." ".$ROWPD['pm_first_name']." ".$ROWPD['pm_last_name']." - ".$ROWPD['pm_pid'];
    
  }

  else {

    $RowRef = get_all_referance_details_id($DB,$rm_id);
    $dr_reference_name = $RowRef['rm_name'];
  } 
}

else {
  $dr_reference_name = "";
}

?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Registration
        <small>Detail</small>
      </h1>
      <ol class="breadcrumb">
       <!--  <li><a href="add_patient.php"><i class="fa fa-plus"></i>Add Patient</a></li> -->
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        
        <div class="col-xs-12">
          
          <div class="box">
            <div class="box-body">
              <div class="box-body">
                <div class="row " style="border-bottom: 2px solid #f4f4f4">
                  <div class="col-md-12"><h1>Personal Information</h1></div><br><br><br>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Patient Id:</label> <?php echo $Results_Patient['pm_pid']; ?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Patient Name:</label> <?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Ref Id:</label> <?php echo $Results_Patient['pm_ref_id']; ?>
                  </div>
                  
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Gender:</label> <?php echo $Results_Patient['pm_gender']; ?>
                  </div>
                  
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">DOB:</label> <?php echo date('d/m/Y', strtotime($Results_Patient['pm_dob'])); ?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Age:</label> <?php echo $diff = (date('Y') - date('Y',strtotime($Results_Patient['pm_dob']))); ?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Contact No :</label> +91 <?php echo $Results_Patient['pm_contact_no']; ?>
                  </div>
                  
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Email :</label> <?php  
                      if(isset($Results_Patient['pm_email']) && !empty($Results_Patient['pm_email'])) {

                        echo $Results_Patient['pm_email'];

                    ?>
                    <?php } else { echo "-"; } ?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Blood Group :</label> <?php  
                      if(isset($Results_Patient['pm_blood_group']) && !empty($Results_Patient['pm_blood_group'])) {

                        echo $Results_Patient['pm_blood_group'];

                    ?>
                    <?php } else { echo "-"; } ?>
                  </div>
                  
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Referred By :</label> 
                    <?php  
                      echo $dr_reference_name;
                    ?>
                  </div>

                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Address :</label> <?php echo $Results_Patient['pm_address'].", ".$Results_Patient['pm_city'].", ".$Results_Patient['pm_state'].",".$Results_Patient['pm_pincode']; ?>
                  </div>

                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Secondary Contact</label> 

                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Name :</label> 
                    <?php  
                      if(isset($Results_Patient['pm_second_name']) && !empty($Results_Patient['pm_second_name'])) {

                        echo $Results_Patient['pm_second_name'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Contact No :</label> 
                    <?php  
                      if(isset($Results_Patient['pm_contact_no2']) && !empty($Results_Patient['pm_contact_no2'])) {

                        echo $Results_Patient['pm_contact_no2'];
                        
                    ?>
                    <?php } else { echo "-"; } ?> 
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Relationship :</label> 
                    <?php  
                      if(isset($Results_Patient['pm_relation']) && !empty($Results_Patient['pm_relation'])) {

                        echo $Results_Patient['pm_relation'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>  
                  </div>
              
              </div>



              <div class="row" style="border-bottom: 2px solid #f4f4f4">
                  <div class="col-md-12"><h1>Admission Details</h1></div><br><br><br>

                  <div class="form-group col-md-3 title_validation">
                    <label for="exampleInputEmail1">Department:</label> 

                    <?php  
                        
                        $dp_id = $Results_InPatient['dp_id'];

                        $Row_Referance = get_department_details_from_id($DB,$dp_id);

                        echo $Row_Referance['dp_name'];

                    ?>
                    


                  </div>

                  <div class="form-group col-md-3 title_validation">
                    <label for="exampleInputEmail1">Ward:</label> 

                    <?php  
                        
                        $twm_id = $Results_InPatient['twm_id'];

                        $Row_Ward = get_single_ward_data_from_id($DB,$twm_id);

                        echo $Row_Ward['ward_name'];

                    ?>

                  </div>

                  <div class="form-group col-md-3 title_validation">
                    <label for="exampleInputEmail1">Room / Bed:</label> 
                    <?php  
                        
                        $twrm_id = $Results_InPatient['twrm_id'];

                        $Row_Room = get_single_room_data_from_id($DB,$twrm_id);

                        echo $Row_Room['room_name'];

                    ?>

                  </div>

                  

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Admitting Doctor :</label> 
                    <?php  
                        
                        $tapm_admitting_doctor = $Results_InPatient['tapm_admitting_doctor'];

                        $Row_Room = get_user_master_details_from_id($DB,$tapm_admitting_doctor);

                        echo $Row_Room['um_name'];

                    ?>

                  </div>
                
                  <div class="form-group col-md-3 title_validation">
                    <label for="exampleInputEmail1">Admission Date:</label> <?php echo date('d/m/Y', strtotime($Results_InPatient['tapm_admitting_date'])); ?>
                  </div>

                  <div class="form-group col-md-3 title_validation">
                    <label for="exampleInputEmail1">IP No:</label> <?php echo $Results_InPatient['in_pid']; ?>
                  </div>

                  <div class="form-group col-md-3 title_validation">
                    <label for="exampleInputEmail1">Care Tacker:</label> <?php  
                      if(isset($Results_InPatient['tapm_care_taker']) && !empty($Results_InPatient['tapm_care_taker'])) {

                        echo $Results_InPatient['tapm_care_taker'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Contact No :</label> <?php  
                      if(isset($Results_InPatient['tapm_contact']) && !empty($Results_InPatient['tapm_contact'])) {

                        echo $Results_InPatient['tapm_contact'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>
                  </div>

                 
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Relationship :</label> <?php  
                      if(isset($Results_InPatient['tapm_relationship']) && !empty($Results_InPatient['tapm_relationship'])) {

                        echo $Results_InPatient['tapm_relationship'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>
                  </div>

                  
              
              </div>


              <?php
                $pm_pid = $Results_Patient['pm_pid'];
                $get_insurance_details = get_insuarnce_details_by_patient($DB,$pm_pid);
                $iname = $get_insurance_details['title'];
                $i_policy_number = $get_insurance_details['policy_number'];
                $inumber = $get_insurance_details['tpa_number'];
                if($iname == ''){
                  $iname1 = '-' ;
                  $i_policy_number1 = '-' ;
                  $inumber1 = '-' ;
                }else{
                  $iname1 = $iname;
                  $i_policy_number1 = $i_policy_number;
                  $inumber1 = $inumber;
                }
              ?>
              <div class="row">
                  <div class="col-md-12"><h1>Insurance Details</h1></div><br><br><br>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Insurance Name:</label> <?php echo $iname1;?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Policy Number:</label> <?php echo $i_policy_number1;?>
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">TPA Number:</label> <?php echo $inumber1;?>
                  </div>

                 
              </div>


              <div class="col-md-12">
                <div class="row">
                    <div class="col-md-6" style="text-align: right;">
                     <!--  <button type="submit" id="submit_button" class="btn btn-primary">Edit</button> -->
                      <!-- <button type="submit" id="submit_button" class="btn btn-primary">Print</button> -->
                      <a href="pdf_patient_profile.php?p_id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>" target="_blank"><button type="submit" id="submit_button" class="btn btn-primary">Print </button></a>
                    </div>

                    <div class="col-md-6">
                      <label><input type="checkbox">  Print Consent </label>
                    </div>

                </div>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->



