<style type="text/css">
    body {
        font-family: 'Arial'
    }
    
    .logo{float: left; position: absolute;left: 0;top: 20px;max-width: 150px;max-height: 70px;}
    .logo img{text-align: center;max-width: 100%;max-height: inherit;}

    @page { margin: 140px 50px; }
    #header { position: fixed; left: 0px; top: -140px; right: 0px; height: auto; text-align: center;  }
    #footer { position: fixed; left: 0px; bottom: -140px; right: 0px; height: 60px; text-align: center; }
    #footer .page:after { content: counter(page); }

    #watermark {
        position: fixed;
        top: 30%;
        width: 100%;
        text-align: center;
        opacity: .6;
        /*transform: rotate(10deg);*/
        transform-origin: 50% 50%;
        z-index: -1000;
    }

</style>

<?php

error_reporting(0); 
$Results_Patient = get_single_patient_details_from_id($DB,$p_id);

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);

$rm_id = $Results_Patient['rm_id'];
$other_ref = $Results_Patient['other_ref'];

if(isset($rm_id) && !empty($rm_id))
{ 

  if($Results_Patient['other_ref'] == 1)
  {
    
    $ROWPD = get_single_patient_details_from_primary_id($DB,$rm_id);
    $dr_reference_name = $ROWPD['pm_salutation']." ".$ROWPD['pm_first_name']." ".$ROWPD['pm_last_name']." - ".$ROWPD['pm_pid'];
    
  }

  else {

    $RowRef = get_all_referance_details_id($DB,$rm_id);
    $dr_reference_name = $RowRef['rm_name'];
  } 
}

else {
  $dr_reference_name = "";
}

$hos_id = $_SESSION['hm_id'];
$RowHospital = get_hospital_details_from_id($DB,$hos_id);

?>

<div id="watermark">
   <img src="samvedanalogo_new.png" alt="Medlyte" width="400" height="100">
</div>

<div id="header">
    <div class="logo">
        <img src="samvedanalogo_new.png" alt="Medlyte">
    </div>
    <div style="width: 100%; font-size: 14px; padding-bottom: 10px; padding-right: 10px; border-bottom: 1px solid #000;" >
        <h2 style=" margin-bottom: 4px;"><?php echo $RowHospital['hm_name']; ?></h3>
        <p><?php echo $RowHospital['hm_address1'].", ".$RowHospital['hm_address2'].", ".$RowHospital['hm_area'].", ".$RowHospital['hm_city'].", ".$RowHospital['hm_state'].", ".$RowHospital['hm_pincode']; ?></p>
    </div>
</div>

<div id="footer">
    <div style="width: 100%; font-size: 14px; padding-bottom: 10px; border-top: 1px solid #000;" >
        <p>Thanks for visit.</p>
        
    </div>
</div>

<table style=" width: 100%; margin-bottom: 20px; padding-bottom: 10px; border-bottom: 1px solid #000;">
    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Patient Name: </strong> <?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></td>

        <td width="33%" style="font-size: 14px;"><strong>Patient Id: </strong> <?php echo $Results_Patient['pm_pid']; ?></td>

        <td width="33%" style="font-size: 14px;"><strong>Ref Id:: </strong> <?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_ref_id']." ".$Results_Patient['pm_last_name']; ?></td>

    </tr>

    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Gender: </strong> <?php echo $Results_Patient['pm_gender']; ?></td>

        <td width="33%" style="font-size: 14px;"><strong>DOB: </strong> <?php echo date('d/m/Y', strtotime($Results_Patient['pm_dob']));; ?></td>

        <td  width="33%"style="font-size: 14px;"><strong>Age: </strong> <?php echo $diff = (date('Y') - date('Y',strtotime($Results_Patient['pm_dob']))); ?> Year(s)</td>

    </tr>

    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Contact No: </strong> <?php echo $Results_Patient['pm_contact_no']; ?></td>
        <td width="33%" style="font-size: 14px;"><strong>Email: </strong> 
            <?php if(isset($Results_Patient['pm_email']) && !empty($Results_Patient['pm_email'])) { echo $Results_Patient['pm_email'];
            ?>
            <?php } else { echo "-"; } ?></td>

        <td width="33%" style="font-size: 14px;"><strong>Blood Group: </strong> 

        <?php  if(isset($Results_Patient['pm_blood_group']) && !empty($Results_Patient['pm_blood_group'])) {
            echo $Results_Patient['pm_blood_group'];
        ?>
        
        <?php } else { echo "-"; } ?>

        </td>
        
    </tr>

    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="49%" style="font-size: 14px;"><strong>Referred By: </strong> <?php echo $dr_reference_name; ?></td>
        <td colspan="2" width="49%" style="font-size: 14px;"><strong>Address: </strong> 

        <?php echo $Results_Patient['pm_address'].", ".$Results_Patient['pm_city'].", ".$Results_Patient['pm_state'].",".$Results_Patient['pm_pincode']; ?>

        </td>
        
    </tr>

    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Name: </strong> 
        <?php  
            if(isset($Results_Patient['pm_second_name']) && !empty($Results_Patient['pm_second_name'])) {
            echo $Results_Patient['pm_second_name'];
        ?>
        <?php } else { echo "-"; } ?>
        </td>
        <td width="33%" style="font-size: 14px;"><strong>Contact No: </strong> 
        <?php  
            if(isset($Results_Patient['pm_contact_no2']) && !empty($Results_Patient['pm_contact_no2'])) {
            echo $Results_Patient['pm_contact_no2'];
        ?>
        <?php } else { echo "-"; } ?>
        </td>

        <td width="33%" style="font-size: 14px;"><strong>Relationship: </strong> 

        <?php  
            if(isset($Results_Patient['pm_relation']) && !empty($Results_Patient['pm_relation'])) {
            echo $Results_Patient['pm_relation'];
        ?>
        <?php } else { echo "-"; } ?>

        </td>
        
    </tr>

</table>

    
<?php
$Case_InPatient_Id1 = $_GET['ip_id'];
$Case_InPatient_Id = base64_decode($Case_InPatient_Id1);
$Results_InPatient = get_single_inpatient_details_from_pid_ipid($DB,$p_id,$Case_InPatient_Id); 
?>
<table style=" width: 100%; margin-bottom: 20px; padding-bottom: 10px; border-bottom: 1px solid #000;">
    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Department: </strong> 
            <?php  
            $dp_id = $Results_InPatient['dp_id'];
            $Row_Referance = get_department_details_from_id($DB,$dp_id);
             if(isset($Row_Referance['dp_name']) && !empty($Row_Referance['dp_name'])) {
            echo  $Row_Referance['dp_name'];
            }else{
               echo "-"; 
            }
           
             ?>
       
        </td>

        <td width="33%" style="font-size: 14px;"><strong>Admitting Doctor: </strong> 
        <?php  
            $tapm_admitting_doctor = $Results_InPatient['tapm_admitting_doctor'];
            $Row_Room = get_user_master_details_from_id($DB,$tapm_admitting_doctor);
             if(isset($Row_Room['um_name']) && !empty($Row_Room['um_name'])) {
            echo  $Row_Room['um_name'];
            }else{
               echo "-"; 
            }
           
             ?>
        </td>

        <td width="33%" style="font-size: 14px;"><strong>Care Tacker: </strong>
           <?php
            if(isset($Results_InPatient['tapm_care_taker']) && !empty($Results_InPatient['tapm_care_taker'])) {

                        echo $Results_InPatient['tapm_care_taker'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>

        </td>

    </tr>

    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Relationship: </strong>
            <?php  
                      if(isset($Results_InPatient['tapm_relationship']) && !empty($Results_InPatient['tapm_relationship'])) {

                        echo $Results_InPatient['tapm_relationship'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>

        </td>

        <td width="33%" style="font-size: 14px;"><strong>Ward: </strong> 
            <?php  
             $twm_id = $Results_InPatient['twm_id'];
             $Row_Ward = get_single_ward_data_from_id($DB,$twm_id);
             if(isset($Row_Ward['ward_name']) && !empty($Row_Ward['ward_name'])) {
            echo  $Row_Ward['ward_name'];
            }else{
               echo "-"; 
            }
           
             ?>
        </td>

        <td  width="33%"style="font-size: 14px;"><strong>Contact No: </strong>
            <?php  
                      if(isset($Results_InPatient['tapm_contact']) && !empty($Results_InPatient['tapm_contact'])) {

                        echo $Results_InPatient['tapm_contact'];
                        
                    ?>
                    <?php } else { echo "-"; } ?>

        </td>

    </tr>

    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Room / Bed: </strong> 
            <?php  
             $twrm_id = $Results_InPatient['twrm_id'];
             $Row_Room = get_single_room_data_from_id($DB,$twrm_id);
             if(isset($Row_Room['room_name']) && !empty($Row_Room['room_name'])) {
            echo  $Row_Room['room_name'];
            }else{
               echo "-"; 
            }
           
             ?>

        </td>
        <td width="33%" style="font-size: 14px;"><strong>Admission Date: </strong> 
           <?php echo date('d/m/Y', strtotime($Results_InPatient['tapm_created_date'])); ?>
         </td>

        <td width="33%" style="font-size: 14px;"><strong>IP No: </strong> 

       <?php echo $Results_InPatient['in_pid']; ?>

        </td>
        
    </tr>

  

</table>

<?php
               
                $get_insurance_details = get_insuarnce_details_by_patient($DB,$p_id);
                $iname = $get_insurance_details['title'];
                $i_policy_number = $get_insurance_details['policy_number'];
                $inumber = $get_insurance_details['tpa_number'];
                if($iname == ''){
                  $iname1 = '-' ;
                  $i_policy_number1 = '-' ;
                  $inumber1 = '-' ;
                }else{
                  $iname1 = $iname;
                  $i_policy_number1 = $i_policy_number;
                  $inumber1 = $inumber;
                }
              ?>
<table style=" width: 100%; margin-bottom: 20px; padding-bottom: 10px; border-bottom: 1px solid #000;">
    <tr style="padding: 5px 5px 5px 5px;">
        
        <td width="33%" style="font-size: 14px;"><strong>Insurance Name: </strong> 
           <?php echo $iname1;?>
       
        </td>

        <td width="33%" style="font-size: 14px;"><strong>Policy Number: </strong> 
       <?php echo $i_policy_number1;?>
        </td>

       <td width="33%" style="font-size: 14px;"><strong>TPA Number: </strong>
            <?php echo $inumber1;?>

        </td>

    </tr>

   

</table>

    <?php if(isset($RowCaseManager['tcm_advice']) && !empty($RowCaseManager['tcm_advice'])) { ?>

    <div style="width: 100%; font-size: 14px; padding-bottom: 7px;" >
    
        <h3 style=" margin-bottom: 4px;">Advice</h3>

        <?php echo $RowCaseManager['tcm_advice']; ?>

    
    </div>

    <?php } ?>

    <div style="width: 100%; margin-top: 30px; font-size: 14px; text-align: right;" >
    
        
        <b>Doctor Name :</b>
        <?php echo $row_User_Details['um_name']; ?>

    
    </div>

