<?php 
ob_start();
session_start();
ini_set('post_max_size', '5000000M');
ini_set('upload_max_filesize', '5000000M');
ini_set('max_input_time', 10000000);

include("../include/db_con.php");

include("../function.php");

include("../function_atd.php");

include("../function_reception.php");

include("../function_casemanager.php");

include("../function_settings.php");

include("../function_inpatient.php");

include("../function_ward.php");
include("../function_pharmacy.php");
// if(!isset($_REQUEST['page']) && !file_exists("pages/".$_REQUEST['page'].".php")) {
// exit(header("Location: login.php"));
// }

$Url = $_SERVER['REQUEST_URI']; // this gives you /folder1/folder2/THIS_ONE/file.php
$ArrayUrl = explode('/', $Url); // splits folders in array
$FolderName = $ArrayUrl[4];

$RowModule = get_moduledetails_from_folder($DB,$FolderName);

$Pharma_Id = $RowModule['mm_id'];

if(!isset($_COOKIE["user_name"]) && empty($_COOKIE["user_name"]))
{
	
  if(!isset($_SESSION["admin_user"]) && empty($_SESSION["admin_user"]))
  {
    header("Location: ../login.php");
    exit;
  }

  
}

else {

  
  $_SESSION["admin_user"] = $_COOKIE["user_name"];
  
}

?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Medlyte Hospital</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <link rel="icon" href="../logo_favicon.ico" type="image/gif" sizes="16x16">
  
  <!-- Bootstrap 3.3.6 -->
  <link rel="stylesheet" href="../bootstrap/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../bootstrap/css/font-awesome-master/h5p-font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../bootstrap/css/css/ionicons.min.css">
  
  <!-- iCheck -->
  <link rel="stylesheet" href="../plugins/iCheck/flat/blue.css">
  <!-- Morris chart -->
  <link rel="stylesheet" href="../plugins/morris/morris.css">
  <!-- jvectormap -->
  <link rel="stylesheet" href="../plugins/jvectormap/jquery-jvectormap-1.2.2.css">
  <!-- Date Picker -->
  <link rel="stylesheet" href="../plugins/datepicker/datepicker3.css">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="../plugins/daterangepicker/daterangepicker.css">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="../plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables/dataTables.bootstrap.css">
   <!-- Select2 -->
  <link rel="stylesheet" href="../plugins/select2/select2.min.css">
 <!-- Bootstrap time Picker -->
  <link rel="stylesheet" href="../plugins/timepicker/bootstrap-timepicker.min.css">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="../plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="../plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">

  <link href="../bootstrap/css/css/bootstrap-multiselect.css" rel="stylesheet" type="text/css" />

  <link rel="stylesheet" href="../plugins/iCheck/all.css">

  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/AdminLTE.min.css">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="../dist/css/skins/_all-skins.min.css">
  
  <!----autosuggest css---->
  <link href="../bootstrap/css/css/jquery-ui.css" rel="stylesheet" type="text/css" />

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>

<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  <!-- Left side column. contains the logo and sidebar -->
  <div class="wrapper">
  <?php
  include("../include/header_pharmacy.php");
  ?>
  <!-- Left side column. contains the logo and sidebar -->
  <?php
  include("../include/left_navi_pharmacy.php");
  ?>

  <!-- Content Wrapper. Contains page content -->
  <?php include("pages/pha_medicine_report.php"); ?>

  <!-- /.content-wrapper -->
  <?php
  
  include("../include/footer.php");
  ?>

 
  <!-- Control Sidebar -->
  
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- jQuery 2.2.3 -->
<script src="../plugins/jQuery/jquery-2.2.3.min.js"></script>
<!-- jQuery UI 1.11.4 -->
<script src="../bootstrap/js/js/jquery-ui.min.js"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button);
</script>
<!-- Bootstrap 3.3.6 -->
<script src="../bootstrap/js/bootstrap.min.js"></script>

<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables/dataTables.bootstrap.min.js"></script>
<!-- Morris.js charts -->
<script src="../bootstrap/js/js/raphael-min.js"></script>
<script src="../plugins/morris/morris.min.js"></script>

<link href="../plugins/tokenize2/tokenize2.css" rel="stylesheet" />
<script src="../plugins/tokenize2/tokenize2.js"></script>


<!-- Multiple Select -->

<script src="../bootstrap/js/js/bootstrap-multiselect.js" type="text/javascript"></script>

<!-- Sparkline -->
<script src="../plugins/sparkline/jquery.sparkline.min.js"></script>
<!-- jvectormap -->
<script src="../plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
<!-- jQuery Knob Chart -->
<script src="../plugins/knob/jquery.knob.js"></script>
<!-- daterangepicker -->
<script src="../bootstrap/js/js/moment.min.js"></script>
<script src="../plugins/daterangepicker/daterangepicker.js"></script>
<!-- datepicker -->
<script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
<!-- Bootstrap WYSIHTML5 -->
<script src="../plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
<!-- Slimscroll -->
<script src="../plugins/slimScroll/jquery.slimscroll.min.js"></script>
<!-- FastClick -->
<script src="../plugins/fastclick/fastclick.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/app.min.js"></script>



<?php if(isset($_REQUEST['page']) && $_REQUEST['page'] == "dashboard") { ?>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="../dist/js/pages/dashboard.js"></script>
<!-- AdminLTE for demo purposes -->
<?php } ?>
<script src="../dist/js/demo.js"></script>
<!-- Select2 -->
<script src="../plugins/select2/select2.full.min.js"></script>

<script src="../plugins/iCheck/icheck.min.js"></script>

<script src="../bootstrap/js/js/jquery.textcomplete.min.js"></script>


<!-- bootstrap time picker -->
<script src="../plugins/timepicker/bootstrap-timepicker.min.js"></script>
<!-- CK Editor -->
<script src="../bootstrap/js/js/ckeditor.js"></script>
<!-- Bootstrap WYSIHTML5 -->
<script src="../plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>

<script src="../dist/js/custom_pharmacy.js"></script>


<!-- page script -->

<script>
  $(function () {
    $("#example1").DataTable();
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": true,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": true,
      "responsive": true

    });

   
	  //Initialize Select2 Elements
    $(".select2").select2();
	
	 //Date picker
    $('#datepicker').datepicker({
      autoclose: true
    });

    $('.calender').datepicker({
      autoclose: true,
     useCurrent: true,
    });

     $('.calender1').datepicker({
      autoclose: true,
      startDate:new Date()

    });


    //Mutiple Select
    $('.lstFruits').multiselect({
          includeSelectAllOption: true
    });
            
  //Timepicker
    $(".timepicker").timepicker({
      showInputs: false
    });
	 
  $('.get_actor_list').tokenize2({
                dataSource: 'action/get_actor.php'
   });
 

   $('.get_artist_list').tokenize2({
                dataSource: 'action/get_artist.php'
   });

   // $('input').iCheck({
   //    checkboxClass: 'icheckbox_square-blue',
   //    radioClass: 'iradio_square-blue',
   //    increaseArea: '20%' // optional
   //  });
   
    //iCheck for checkbox and radio inputs
    $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
      checkboxClass: 'icheckbox_minimal-blue',
      radioClass   : 'iradio_minimal-blue'
    });
    //Red color scheme for iCheck
    $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
      checkboxClass: 'icheckbox_minimal-red',
      radioClass   : 'iradio_minimal-red'
    });
    //Flat red color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    });


	//CKEDITOR.replace('editor1');
  //bootstrap WYSIHTML5 - text editor
  $(".textarea").wysihtml5();

    $("#btnAdd").bind("click", function () {
        var div = $("<div />");
        div.html(GetDynamicTextBox(""));
        $("#TextBoxContainer").append(div);
    });
    
    $("body").on("click", ".remove", function () {
        $(this).closest(".add_div").remove();
    });

  });



   $('body').on('click', '.list-group .list-group-item', function () {
                $(this).toggleClass('active');
   });
   $('.list-arrows button').click(function () {
                var $button = $(this), actives = '';
                if ($button.hasClass('move-left')) {
                    actives = $('.list-right ul li.active');
                    actives.clone().appendTo('.list-left ul');
                    actives.remove();
                } else if ($button.hasClass('move-right')) {
                    actives = $('.list-left ul li.active');
                    actives.clone().appendTo('.list-right ul');
                    actives.remove();
                }
  });
  $('.dual-list .selector').click(function () {
                var $checkBox = $(this);
                if (!$checkBox.hasClass('selected')) {
                    $checkBox.addClass('selected').closest('.well').find('ul li:not(.active)').addClass('active');
                    $checkBox.children('i').removeClass('glyphicon-unchecked').addClass('glyphicon-check');
                } else {
                    $checkBox.removeClass('selected').closest('.well').find('ul li.active').removeClass('active');
                    $checkBox.children('i').removeClass('glyphicon-check').addClass('glyphicon-unchecked');
                }
  });
  $('[name="SearchDualList"]').keyup(function (e) {
                var code = e.keyCode || e.which;
                if (code == '9') return;
                if (code == '27') $(this).val(null);
                var $rows = $(this).closest('.dual-list').find('.list-group li');
                var val = $.trim($(this).val()).replace(/ +/g, ' ').toLowerCase();
                $rows.show().filter(function () {
                    var text = $(this).text().replace(/\s+/g, ' ').toLowerCase();
                    return !~text.indexOf(val);
  }).hide();
  });


  $('#all_ut_id').change(function(){
        var utId = $('#all_ut_id').val();
        console.log(utId);
        if(utId == 0)
        {
          $(".list_grp_users").show();
        }
        else {
          $(".list_grp_users").hide();
          $(".all_user_diaplay_"+utId).show();
             
        }  
  });

  $('#selected_ut_id').change(function(){
        var utId = $('#selected_ut_id').val();
        console.log(utId);
        if(utId == 0)
        {
          $(".list_grp_select_users").show();
        }
        else {
          $(".list_grp_select_users").hide();
          $(".select_user_diaplay_"+utId).show();
             
        }  
  });


  function GetDynamicTextBox(value) {
    return '<div class="add_div"><div class="form-group col-md-5"><label for="exampleInputEmail1">Child Name</label><input type="text" class="form-control" id="exampleInputEmail1" name="child_name[]" placeholder="Child Name"></div><div class="form-group col-md-5"><label for="exampleInputPassword1">Child DOB</label><input autocomplete="off" type="text" class="form-control pull-right calender" name="chil_dob[]" placeholder="Birth Date" ></div><div class="form-group col-md-2" style="margin-top: 24px;"><button type="button" class="btn remove btn-primary">Remove</button></div></div>'
  }



</script>


</body>
</html>
<?php ob_flush(); ?>